# Created by pyp2rpm-3.3.6
%global pypi_name pytest-mypy-plugins

Name:           python-%{pypi_name}
Version:        1.9.1
Release:        1%{?dist}
Summary:        pytest plugin for writing tests for mypy plugins

License:        MIT
URL:            https://github.com/TypedDjango/pytest-mypy-plugins
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
<img src" alt"mypy logo" width"300px"/> pytest plugin for testing mypy types,
stubs, and plugins[![Build Status]( [![Checked with mypy]( [![Gitter](
Installationbash pip install pytest-mypy-plugins RunningPlugin, after
installation, is automatically picked up by pytest therefore it is sufficient
to

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(chevron)
Requires:       python3dist(dataclasses)
Requires:       python3dist(decorator)
Requires:       python3dist(mypy) >= 0.790
Requires:       python3dist(pytest) >= 6
Requires:       python3dist(pyyaml)
Requires:       python3dist(regex)
Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
<img src" alt"mypy logo" width"300px"/> pytest plugin for testing mypy types,
stubs, and plugins[![Build Status]( [![Checked with mypy]( [![Gitter](
Installationbash pip install pytest-mypy-plugins RunningPlugin, after
installation, is automatically picked up by pytest therefore it is sufficient
to


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/pytest_mypy_plugins
%{python3_sitelib}/pytest_mypy_plugins-%{version}-py%{python3_version}.egg-info

%changelog
* Tue Sep 21 2021 mockbuilder - 1.9.1-1
- Initial package.